Bug 1305232 - log currently processing package from rpm installation
Summary: log currently processing package from rpm installation
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-06 08:17 UTC by Adam Borowski
Modified: 2018-06-28 08:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 12:00:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (25.36 KB, text/plain)
2016-02-08 22:13 UTC, Adam Borowski
no flags Details
dnf.librepo.log (1.16 MB, text/plain)
2016-02-08 22:14 UTC, Adam Borowski
no flags Details
dnf.log (152.45 KB, text/plain)
2016-02-08 22:14 UTC, Adam Borowski
no flags Details
dnf.rpm.log (96.97 KB, text/plain)
2016-02-08 22:15 UTC, Adam Borowski
no flags Details
hawkey.log (1.96 KB, text/plain)
2016-02-08 22:15 UTC, Adam Borowski
no flags Details
ifcfg.log (2.57 KB, text/plain)
2016-02-08 22:15 UTC, Adam Borowski
no flags Details
packaging.log (2.76 KB, text/plain)
2016-02-08 22:16 UTC, Adam Borowski
no flags Details
program.log (82.44 KB, text/plain)
2016-02-08 22:16 UTC, Adam Borowski
no flags Details
sensitive-info.log (106 bytes, text/plain)
2016-02-08 22:17 UTC, Adam Borowski
no flags Details
storage.log (94.52 KB, text/plain)
2016-02-08 22:17 UTC, Adam Borowski
no flags Details
storage.state (24.00 KB, text/plain)
2016-02-08 22:17 UTC, Adam Borowski
no flags Details
syslog (59.78 KB, text/plain)
2016-02-08 22:18 UTC, Adam Borowski
no flags Details
tmp6xink9y4 (37 bytes, text/plain)
2016-02-08 22:19 UTC, Adam Borowski
no flags Details
X.log (54.44 KB, text/plain)
2016-02-08 22:20 UTC, Adam Borowski
no flags Details

Description Adam Borowski 2016-02-06 08:17:21 UTC
When installing Fedora 23 into a VirtualBox VM from a netinst image, the installation hangs forever (I waited a few hours), the current step being installing open-vm-tools.

Host machine: current Debian unstable on amd64, virtualbox version 5.0.14-dfsg-2+b1.

Installing from a LiveCD, on the other hand, succeeded.

This problem has been mentioned in a comment in bug #1251656, but as that bug is about a different (although likely related) problem, I'm reporting this separately.

Comment 1 David Shea 2016-02-08 13:02:13 UTC
Please attach the logs from /tmp to this bug as individual, text/plain attachments.

Comment 2 Adam Borowski 2016-02-08 22:13 UTC
Created attachment 1122279 [details]
anaconda.log

Comment 3 Adam Borowski 2016-02-08 22:14 UTC
Created attachment 1122280 [details]
dnf.librepo.log

Comment 4 Adam Borowski 2016-02-08 22:14 UTC
Created attachment 1122281 [details]
dnf.log

Comment 5 Adam Borowski 2016-02-08 22:15 UTC
Created attachment 1122282 [details]
dnf.rpm.log

Comment 6 Adam Borowski 2016-02-08 22:15 UTC
Created attachment 1122283 [details]
hawkey.log

Comment 7 Adam Borowski 2016-02-08 22:15 UTC
Created attachment 1122284 [details]
ifcfg.log

Comment 8 Adam Borowski 2016-02-08 22:16 UTC
Created attachment 1122285 [details]
packaging.log

Comment 9 Adam Borowski 2016-02-08 22:16 UTC
Created attachment 1122286 [details]
program.log

Comment 10 Adam Borowski 2016-02-08 22:17 UTC
Created attachment 1122287 [details]
sensitive-info.log

Comment 11 Adam Borowski 2016-02-08 22:17 UTC
Created attachment 1122288 [details]
storage.log

Comment 12 Adam Borowski 2016-02-08 22:17 UTC
Created attachment 1122289 [details]
storage.state

Comment 13 Adam Borowski 2016-02-08 22:18 UTC
Created attachment 1122290 [details]
syslog

Comment 14 Adam Borowski 2016-02-08 22:19 UTC
Created attachment 1122291 [details]
tmp6xink9y4

Comment 15 Adam Borowski 2016-02-08 22:20 UTC
Created attachment 1122292 [details]
X.log

Comment 16 Honza Silhan 2016-03-29 13:10:46 UTC
This stalls on scriplet of some package. Unfortunately we cannot see the processed package so I am changing this to make DNF log package which is currently being processed.

Comment 17 Adam Borowski 2016-03-29 13:18:08 UTC
The displayed open-vm-tools sounds as a strong candidate for the culprit, judging from #1251656.  As far as I know, VirtualBox and VMWare share a good part of their interface so vmware tools going bonkers on virtualbox seems plausible.

Comment 18 Fedora Admin XMLRPC Client 2016-07-08 09:39:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 19 Michal Luscon 2016-11-22 15:52:53 UTC
Implemented in https://github.com/rpm-software-management/dnf/pull/656

Comment 20 Fedora End Of Life 2016-11-24 15:25:09 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-02-28 09:53:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 22 Fedora End Of Life 2018-05-03 08:18:41 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 23 Fedora End Of Life 2018-05-29 12:00:21 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 24 Jaroslav Mracek 2018-06-28 08:30:31 UTC
The issue is solved by dnf-3.0.1-1 that was released into rawhide.


Note You need to log in before you can comment on or make changes to this bug.